# Firebase libraries

This is a list of Firebase libraries that can be used with UI Bakery:point\_down:

**Realtime database**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-database-compat.js"></script>
```

**Authentication**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-auth-compat.js"></script
```

**Firestore**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-firestore-compat.js"></script>
```

**Analytics**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-analytics-compat.js"></script>
```

**App Check**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-app-check-compat.js"></script>
```

**Functions**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-functions-compat.js"></script>
```

**Messaging**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-messaging-compat.js"></script>
```

**Storage**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-storage-compat.js"></script>
```

**Performance**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-performance-compat.js"></script>
```

**Remote config**

```javascript
<script src="https://www.gstatic.com/firebasejs/9.10.0/firebase-remote-config-compat.js"></script>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uibakery.io/reference/data-sources/firebase/firebase-libraries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
